GENOME-MUSIC-CLINICAL-CORRELATION(1p)

genome music clinical-correlation

NAME
genome music clinical-correlation - Correlate phenotypic traits against mutated genes, or against individual variants

VERSION
This document describes genome music clinical-correlation version 0.04 (2018-07-05 at 09:17:13)

SYNOPSIS
genome music clinical-correlation --bam-list=? --output-file=? [--maf-file=?] [--glm-clinical-data-file=?] [--use-maf-in-glm] [--skip-non-coding] [--skip-silent] [--clinical-correlation-matrix-file=?] [--input-clinical-correlation-matrix-file=?] [--genetic-data-type=?] [--numeric-clinical-data-file=?] [--numerical-data-test-method=?] [--categorical-clinical-data-file=?] [--glm-model-file=?]

 ... music clinical-correlation \
        --bam-list /path/myBamList.tsv \
        --maf-file /path/myMAF.tsv \
        --numeric-clinical-data-file /path/myNumericData.tsv \
        --genetic-data-type 'gene' \
        --output-file /path/output_file

 ... music clinical-correlation \
        --maf-file /path/myMAF.tsv \
        --bam-list /path/myBamList.tsv \
        --numeric-clinical-data-file /path/myNumericData.tsv \
        --categorical-clinical-data-file /path/myClassData.tsv \
        --genetic-data-type 'gene' \
        --output-file /path/output_file

 ... music clinical-correlation \
        --maf-file /path/myMAF.tsv \
        --bam-list /path/myBamList.tsv \
        --output-file /path/output_file \
        --glm-model-file /path/model.tsv \
        --glm-clinical-data-file /path/glm_clinical_data.tsv \
        --use-maf-in-glm

REQUIRED ARGUMENTS

bam-list  Text
    Tab delimited list of BAM files [sample_name, normal_bam, tumor_bam] (See Description)

output-file  Text
    Results of clinical-correlation tool. Will have suffix added for data type

OPTIONAL ARGUMENTS

maf-file  Text
    List of mutations using TCGA MAF specification v2.3

glm-clinical-data-file  Text
    Clinical traits, mutational profiles, other mixed clinical data (See DESCRIPTION)

use-maf-in-glm  Boolean
    Create a variant matrix from the MAF file as variant input to GLM analysis.

    Default value 'false' (--nouse-maf-in-glm) if not specified

nouse-maf-in-glm  Boolean
    Make use-maf-in-glm 'false'

skip-non-coding  Boolean
    Skip non-coding mutations from the provided MAF file

    Default value 'true' if not specified

noskip-non-coding  Boolean
    Make skip-non-coding 'false'

skip-silent  Boolean
    Skip silent mutations from the provided MAF file

    Default value 'true' if not specified

noskip-silent  Boolean
    Make skip-silent 'false'

clinical-correlation-matrix-file  Text
    Specify a file to store the sample-vs-gene matrix created during calculations

input-clinical-correlation-matrix-file  Text
    Instead of creating this from the MAF, input the sample-vs-gene matrix for calculations

genetic-data-type  Text
    Correlate clinical data to "gene" or "variant" level data

    Default value 'gene' if not specified

numeric-clinical-data-file  Text
    Table of samples (y) vs. numeric clinical data category (x)

numerical-data-test-method  Text
    Either 'cor' for Pearson Correlation or 'wilcox' for the Wilcoxon Rank-Sum Test for numerical clinical data

    Default value 'cor' if not specified

categorical-clinical-data-file  Text
    Table of samples (y) vs. categorical clinical data category (x)

glm-model-file  Text
    File outlining the type of model, response variable, covariants, etc. for the GLM analysis. (See DESCRIPTION)

DESCRIPTION
This command relates clinical traits and mutational data. Either one can perform correlation analysis between mutations recorded in a MAF and the particular phenotypic traits recorded in clinical data files for the same samples, or one can run a generalized linear model (GLM) analysis on the same types of data.

The clinical data files for correlation must be separated between numeric and categoric data and must follow these conventions:

•   Headers are required

•   Each file must include at least 1 sample_id column and 1 attribute column, with the format being [sample_id clinical_data_attribute_1 clinical_data_attribute_2 ...]

•   The sample ID must match the sample ID listed in the MAF under "Tumor_Sample_Barcode" for relating the mutations of this sample.

Note the importance of the headers: the header for each clinical_data_attribute will appear in the output file to denote relationships with the mutation data from the MAF.

Internally, the input data is fed into an R script which calculates a P-value representing the probability that the correlation seen between the mutations in each gene (or variant) and each phenotype trait are random. Lower P-values indicate lower randomness, or likely true correlations.

The results are saved to the output filename given with a suffix appended; ".numeric.csv" will be appended for results derived from numeric clinical data, and ".categorical.csv" will be appended for results derived from categorical clinical data. Also, ".glm.csv" will be appended to the output filename for GLM results.

The GLM analysis accepts a mixed numeric and categoric clinical data file, input using the parameter --glm-clinical-data-file. GLM clinical data must adhere to the formats described above for the correlation clinical data files. GLM also requires the user to input a --glm-model-file. This file requires specific headers and defines the analysis to be performed rather exactly. Here are the conventions required for this file:

•   Columns must be ordered as such:

•   [ analysis_type clinical_data_trait_name variant/gene_name covariates memo ]

•   The 'analysis_type' column must contain either "Q", indicating a quantative trait, or "B", indicating a binary trait will be examined.

•   The 'clinical_data_trait_name' is the name of a clinical data trait defined by being a header in the --glm-clinical-data-file.

•   The 'variant/gene_name' can either be the name of one or more columns from the --glm-clinical-data-file, or the name of one or more mutated gene names from the MAF, separated by "|". If this column is left blank, or instead contains "NA", then each column from either the variant mutation matrix (--use-maf-in-glm) or alternatively the --glm-clinical-data-file is used consecutively as the variant column in independent analyses.

•   'covariates' are the names of one or more columns from the --glm-clinical-data-file, separated by "+".

•   'memo' is any note deemed useful to the user. It will be printed in the output data file for reference.

GLM analysis may be performed using solely the data input into --glm-clinical-data-file, as described above, or alternatively, mutational data from the MAF may be included as variants in the GLM analysis, as also described above. Use the --use-maf-in-glm flag to include the mutation matrix derived from the maf as variant data.

Note that all input files for both correlation and GLM analysis must be tab-separated.

ARGUMENTS

--bam-list
    Provide a file containing sample names and normal/tumor BAM locations for each. Use the tab- delimited format [sample_name normal_bam tumor_bam] per line. This tool only needs sample_name, so all other columns can be skipped. The sample_name must be the same as the tumor sample names used in the MAF file (16th column, with the header Tumor_Sample_Barcode).

LICENSE
Copyright (C) 2010-2011 Washington University in St. Louis.

It is released under the Lesser GNU Public License (LGPL) version 3. See the associated LICENSE file in this distribution.

AUTHORS
 Nathan D. Dees, Ph.D.
 Qunyuan Zhang, Ph.D.
 William Schierding, M.S.

SEE ALSO
genome-music(1), genome(1)